{
	"name": "form/nc/erp-sync/ksef/rec.json",
	"tab": "order-invoice",
	"firm_id": "2",
	"connection": "ksef",
	"html_language-": "en",
	"export_move_folder": false,
	"create_html": true,
	"firm": "form/nc/erp-sync/ksef/value-map.json/firm",
	"country_convert": "form/nc/erp-sync/ksef/value-map.json/country_convert",
	"convert_vat": "form/nc/erp-sync/ksef/value-map.json/convert_vat",
	"sales_code_to_ksef_vat": "form/nc/erp-sync/ksef/value-map.json/sales_code_to_ksef_vat",
	"terms_to_payment_method": "form/nc/erp-sync/ksef/value-map.json/terms_to_payment_method",
	"show_file_list": { "export": ["order-invoice"] },
	"export_file_prefix": { "order-invoice": "ksef-" },
	"export_file_name_field": "order_id",
	"connection-preference": "order_id",
	"export_path": "/Volumes/nc/work/va-varuste/ksef/export/",
	"schema_path": "/Volumes/nc/work/va-varuste/ksef/schema/",
	"export_file_save_preference": "form/nc/erp-sync/ksef/save/order-invoice.json",
	"export_file_parameter": ["xml", "form/nc/erp-sync/ksef/save/ksef-order-invoice-xml-convert.json"],
	"rest_save": "form/nc/erp-sync/ksef/save/invoice-ksef-out.json",
	"call_file": { "file": "form/nc/erp-sync/invoice", "schema": "" },
	"query_bank": { "4d": false, "ksef": true },
	"query_company": { "4d": false, "ksef": true },
	"invoice_address_prefix": "",
	"table": {
		"order-invoice": true
	},
	"table_prefix": {
		"invoice-ksef-out": "ord"
	},
	"record_type": {
		"invoice-ksef-out": "invoice"
	},
	"load_detail": {
		"invoice-ksef-out": {
			"parameter": [{ "name": "ksef_id", "value": "json_data.transfer_id" }],
			"query": "form/nc/erp-sync/ksef/query/invoice-detail-xml.json"
		},
		"invoice-ksef-in": {
			"parameter": [{ "name": "ksef_id", "value": "json_data.transfer_id" }],
			"query": "form/nc/erp-sync/ksef/query/invoice-detail-xml.json"
		},
		"session-status": {
			"parameter": [{ "name": "reference_number", "value": "name_id" }],
			"query": "form/nc/erp-sync/ksef/query/session-invoice-failed.json"
		}
	},
	"compare_field": {
		"order-invoice": "order_id",
		"order_row-invoice": "invoice_id",
		"invoice-detail": "order_id",
		"invoice-ksef-out": "order_id"
	},
	"export_allowed": {
		"order-invoice": true,
		"invoice-ksef-out": true
	},
	"overwrite_export": {
		"order-invoice": true
	},
	"update_allowed": {
		"order-invoice": true
	},
	"import_allowed": {},
	"load_external_row_table": {
		"order-invoice": {
			"table": "order_row-invoice",
			"parameter": "order_id",
			"field": "order_id",
			"set_field": [
				{
					"from": "json_data.document_id",
					"to": "json_data.transfer_id"
				}
			]
		}
	},
	"load_row_table": {
		"order-invoice": "order_row-invoice"
	},
	"one_row_select": {
		"order-invoice": false
	},
	"save_row_table": {
		"order-invoice": "order_row-invoice"
	}
}
